RString Struct Reference

`#include <ruby.h>`

## Data Fields

struct RBasic | basic
union {
struct {
long len
char * ptr
union {
long capa
VALUE shared
} aux
} heap
char ary [RSTRING_EMBED_LEN_MAX+1]
} | as

## Detailed Description

Definition at line 652 of file ruby.h.

## Field Documentation

char RString::ary[RSTRING_EMBED_LEN_MAX+1]

Definition at line 663 of file ruby.h.

Referenced by rb_sym_all_symbols().

union { ... } RString::as

Referenced by gc_mark_children(), and rb_intern3().

union { ... } RString::aux

struct RBasic RString::basic

Definition at line 653 of file ruby.h.

Referenced by rb_intern3().

long RString::capa

Definition at line 659 of file ruby.h.

struct { ... } RString::heap

Referenced by gc_mark_children(), and rb_intern3().

long RString::len

Definition at line 656 of file ruby.h.

char* RString::ptr

Definition at line 657 of file ruby.h.

VALUE RString::shared

Definition at line 660 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h